astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- Parametric2DModel

# Parametric2DModel

class `astropy.modeling.core.``Parametric2DModel`(**kwargs)

  Bases: `astropy.modeling.core.ParametricModel`

  Base class for two dimensional parametric models.

  This class provides an easier interface to defining new models. Examples can be found in functional_models.py

  Parameters:

  parameter_dict : dictionary

  > Dictionary of model parameters with initialization values {‘parameter_name’: ‘parameter_value’}

  Attributes Summary

  `n_inputs` | int(x=0) -> int or long
  `n_outputs` | int(x=0) -> int or long

  Attributes Documentation

  `n_inputs` = 2
  `n_outputs` = 1